diff --git a/build-all.sh b/build-all.sh
index 38b348eeffb2e0ca7cf548c231246062fe537bce..350aae59302becafbbc66f08a5e1295b1a568642 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -97,6 +97,9 @@ scons || exit
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
 scons || exit
 
+cd $PEASOUP_UMBRELLA_DIR/zipr_unpin_plugin
+scons || exit
+
 cd $IRDB_TRANSFORMS
 scons || exit
 
diff --git a/clean-all.sh b/clean-all.sh
index e4c03a13b2a3584da7d9d21eab13476fdbbf4a02..4a1bc0d25e90288a4eab1768de179093a4d0dffb 100755
--- a/clean-all.sh
+++ b/clean-all.sh
@@ -49,6 +49,9 @@ scons -c || exit
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
 scons -c || exit
 
+cd $PEASOUP_UMBRELLA_DIR/zipr_unpin_plugin
+scons -c || exit
+
 if [ -d $ZIPR_HOME ]; then 
 	cd $ZIPR_HOME
 	scons -c || exit
diff --git a/svn.externals.uva_dev b/svn.externals.uva_dev
index 7479758e4684cc796fa24b65536a45cc1c17d4c4..8a5cdd5379418d40a3fcd1f600df41ad9d4a2e14 100644
--- a/svn.externals.uva_dev
+++ b/svn.externals.uva_dev
@@ -12,6 +12,7 @@ zipr_install         		http://svn.zephyr-software.com/repos/zipr_install/trunk/
 zipr_callbacks       		http://svn.zephyr-software.com/repos/zipr_callbacks/trunk/
 zipr_sdk             		http://svn.zephyr-software.com/repos/zipr_sdk/trunk/
 zipr_scfi_plugin     		http://svn.zephyr-software.com/repos/zipr_scfi_plugin/trunk
+zipr_unpin_plugin     		http://svn.zephyr-software.com/repos/zipr_unpin_plugin/trunk
 zipr_large_only_plugin     	http://svn.zephyr-software.com/repos/zipr_large_only_plugin/trunk
 zipr_push64_reloc_plugin     	http://svn.zephyr-software.com/repos/zipr_push64_reloc_plugin/trunk
 IdaProServer         		http://svn.zephyr-software.com/repos/IdaProServer/trunk/